#!/bin/sh

DF_DIR="$HOME/.config/dotfiles"
REPO="https://git.nubo.sh/hulthe/df.git"
CARGO_BIN="$HOME/.cargo/bin"

set -x
set -e

if [[ -d "$DF_DIR" ]]; then
	cd $DF_DIR
	git pull
else
	git clone $REPO $DF_DIR
fi

cargo install --git $REPO

$CARGO_BIN/dotfiles -v

